/////////////////////////////////////////////////////////////////////////////
// Project:     wxSQuery
// Purpose:     SQL query tool for the SQLite3 library
// Name:        wxchainlogtextctrl.h
// Author:      Daniel Nell
// Created:     2008/09/26
// Copyright:   (c) Daniel Nell
// Licence:     wxWindows licence
// Modified by:
/////////////////////////////////////////////////////////////////////////////

#ifndef __WXCHAINLOGTEXTCTRL_H
#define __WXCHAINLOGTEXTCTRL_H

/////////////////////////////////////////////////////////////////////////////
//  Class wxChainLogTextCtrl
//
class wxChainLogTextCtrl : public wxLogGui
{
  public:
    wxChainLogTextCtrl( wxTextCtrl *poTextctrl, wxLogLevel nMaxLevel= 2 )
    {
        m_nMaxLevel= nMaxLevel;
        wxLog::SetActiveTarget( this );
        new wxLogChain( new wxLogTextCtrl( poTextctrl ) );
    }


    virtual void DoLog( wxLogLevel oLevel, const wxChar *pszMessage, time_t nTimestamp )
    {
        if( oLevel <= m_nMaxLevel )
        {
            wxLogGui::DoLog( oLevel, pszMessage, nTimestamp );
        }
    }

  protected:
    wxLogLevel m_nMaxLevel;
};

#endif // __WXCHAINLOGTEXTCTRL_H
